Next: Option Summary, Up: Invoking the SCDAEMON [Contents][Index]

### 6.1 Commands

Commands are not distinguished from options except for the fact that only one command is allowed.

`--version` ¶

  Print the program version and licensing information. Note that you cannot abbreviate this command.

`--help, -h` ¶

  Print a usage message summarizing the most useful command-line options. Note that you cannot abbreviate this command.

`--dump-options` ¶

  Print a list of all available options and commands. Note that you cannot abbreviate this command.

`--server` ¶

  Run in server mode and wait for commands on the `stdin`. The default mode is to create a socket and listen for commands there.

`--multi-server` ¶

  Run in server mode and wait for commands on the `stdin` as well as on an additional Unix Domain socket. The server command `GETINFO` may be used to get the name of that extra socket.

`--daemon` ¶

  Run the program in the background. This option is required to prevent it from being accidentally running in the background.